<div class="container mt-4">
  <div class="row justify-content-center">
    <div class="col-md-6">
      <h2 class="mt-3" id="title">Training Form</h2>
      <form [formGroup]="trainingForm" (ngSubmit)="onSubmit()">
        <div class="mb-3">
          <label for="trainingDate" class="form-label"
            >Training Date <span class="text-danger">*</span></label
          >
          <input
            type="date"
            class="form-control"
            id="trainingDate"
            formControlName="trainingDate"
            required
            [min]="today | date:'yyyy-MM-dd'"
          />
        </div>
        <div class="mb-3">
          <label for="trainingName" class="form-label"
            >Training Name <span class="text-danger">*</span></label
          >
          <input
            type="text"
            class="form-control"
            id="trainingName"
            formControlName="trainingName"
            placeholder="Enter training name"
            required
          />
        </div>
        <div class="mb-3">
          <label for="trainerName" class="form-label"
            >Trainer's Name <span class="text-danger">*</span></label
          >
          <select
            class="form-select"
            id="trainerName"
            formControlName="trainerName"
            required
            (ngModelChange)="onTrainerSelect()"
          >
            <option value="">Select Trainer's Name</option>
            <option *ngFor="let trainer of trainers" [value]="trainer">
              {{ trainer }}
            </option>
          </select>
        </div>
        <div class="mb-3">
          <label for="trainingType" class="form-label">Training Type </label>
          <input
            type="text"
            class="form-control"
            id="trainingType"
            formControlName="trainingType"
            placeholder="Select Trainer for Training type"
            readonly
          />
        </div>
        <div class="mb-3">
          <label for="trainingDuration" class="form-label"
          placeholder="Enter between 1 to 200 (minutes)">Training Duration (in minutes)
            <span class="text-danger">*</span></label
          >
          <input
            type="number"
            class="form-control"
            id="trainingDuration"
            formControlName="trainingDuration"
            required
          />
        </div>
        <div *ngIf="trainingForm.get('trainingDuration')?.hasError('min')">
          <div class="text-danger">
            Training duration must be at least 1 minute.
          </div>
        </div>
        <div *ngIf="trainingForm.get('trainingDuration')?.hasError('max')">
          <div class="text-danger">
            Training duration cannot exceed 200 minutes.
          </div>
        </div>
        <div class="col-md-11">
          <button
            type="submit"
            class="submit-button"
            [disabled]="trainingForm.invalid"
            style="width: 100%"
          >
            AddTraining
          </button>
        </div>
      </form>
    </div>
  </div>
</div>
